/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1998. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  CONFIG                          1
#define  CONFIG_DAQRATE                  2
#define  CONFIG_DEVICE                   3
#define  CONFIG_OK                       4       /* callback function: configureDAQ */

#define  MAIN                            2
#define  MAIN_STOP                       2       /* callback function: stopDAQ */
#define  MAIN_START                      3       /* callback function: startDAQ */
#define  MAIN_CONFIG                     4       /* callback function: displayConfigPanel */
#define  MAIN_SCALE_15                   5
#define  MAIN_ACTIVATE_15                6       /* callback function: activateCallback */
#define  MAIN_MINVOLTS_15                7       /* callback function: setMinValue */
#define  MAIN_MAXVOLTS_15                8       /* callback function: setMaxValue */
#define  MAIN_SCALE_14                   9
#define  MAIN_ACTIVATE_14                10      /* callback function: activateCallback */
#define  MAIN_MINVOLTS_14                11      /* callback function: setMinValue */
#define  MAIN_MAXVOLTS_14                12      /* callback function: setMaxValue */
#define  MAIN_SCALE_13                   13
#define  MAIN_ACTIVATE_13                14      /* callback function: activateCallback */
#define  MAIN_MINVOLTS_13                15      /* callback function: setMinValue */
#define  MAIN_MAXVOLTS_13                16      /* callback function: setMaxValue */
#define  MAIN_SCALE_12                   17
#define  MAIN_ACTIVATE_12                18      /* callback function: activateCallback */
#define  MAIN_MINVOLTS_12                19      /* callback function: setMinValue */
#define  MAIN_MAXVOLTS_12                20      /* callback function: setMaxValue */
#define  MAIN_SCALE_11                   21
#define  MAIN_ACTIVATE_11                22      /* callback function: activateCallback */
#define  MAIN_MINVOLTS_11                23      /* callback function: setMinValue */
#define  MAIN_MAXVOLTS_11                24      /* callback function: setMaxValue */
#define  MAIN_SCALE_10                   25
#define  MAIN_ACTIVATE_10                26      /* callback function: activateCallback */
#define  MAIN_MINVOLTS_10                27      /* callback function: setMinValue */
#define  MAIN_MAXVOLTS_10                28      /* callback function: setMaxValue */
#define  MAIN_SCALE_9                    29
#define  MAIN_ACTIVATE_9                 30      /* callback function: activateCallback */
#define  MAIN_MINVOLTS_9                 31      /* callback function: setMinValue */
#define  MAIN_MAXVOLTS_9                 32      /* callback function: setMaxValue */
#define  MAIN_SCALE_8                    33
#define  MAIN_ACTIVATE_8                 34      /* callback function: activateCallback */
#define  MAIN_MINVOLTS_8                 35      /* callback function: setMinValue */
#define  MAIN_MAXVOLTS_8                 36      /* callback function: setMaxValue */
#define  MAIN_SCALE_7                    37
#define  MAIN_ACTIVATE_7                 38      /* callback function: activateCallback */
#define  MAIN_MINVOLTS_7                 39      /* callback function: setMinValue */
#define  MAIN_MAXVOLTS_7                 40      /* callback function: setMaxValue */
#define  MAIN_SCALE_6                    41
#define  MAIN_ACTIVATE_6                 42      /* callback function: activateCallback */
#define  MAIN_MINVOLTS_6                 43      /* callback function: setMinValue */
#define  MAIN_MAXVOLTS_6                 44      /* callback function: setMaxValue */
#define  MAIN_SCALE_5                    45
#define  MAIN_ACTIVATE_5                 46      /* callback function: activateCallback */
#define  MAIN_MINVOLTS_5                 47      /* callback function: setMinValue */
#define  MAIN_MAXVOLTS_5                 48      /* callback function: setMaxValue */
#define  MAIN_SCALE_4                    49
#define  MAIN_ACTIVATE_4                 50      /* callback function: activateCallback */
#define  MAIN_MINVOLTS_4                 51      /* callback function: setMinValue */
#define  MAIN_MAXVOLTS_4                 52      /* callback function: setMaxValue */
#define  MAIN_SCALE_3                    53
#define  MAIN_ACTIVATE_3                 54      /* callback function: activateCallback */
#define  MAIN_MINVOLTS_3                 55      /* callback function: setMinValue */
#define  MAIN_MAXVOLTS_3                 56      /* callback function: setMaxValue */
#define  MAIN_SCALE_2                    57
#define  MAIN_ACTIVATE_2                 58      /* callback function: activateCallback */
#define  MAIN_MINVOLTS_2                 59      /* callback function: setMinValue */
#define  MAIN_MAXVOLTS_2                 60      /* callback function: setMaxValue */
#define  MAIN_SCALE_1                    61
#define  MAIN_ACTIVATE_1                 62      /* callback function: activateCallback */
#define  MAIN_MINVOLTS_1                 63      /* callback function: setMinValue */
#define  MAIN_MAXVOLTS_1                 64      /* callback function: setMaxValue */
#define  MAIN_SCALE_0                    65
#define  MAIN_ACTIVATE_0                 66      /* callback function: activateCallback */
#define  MAIN_MINVOLTS_0                 67      /* callback function: setMinValue */
#define  MAIN_MAXVOLTS_0                 68      /* callback function: setMaxValue */
#define  MAIN_COMMANDBUTTON              69      /* callback function: shutdown */
#define  MAIN_GROUP_2                    70
#define  MAIN_GROUP_3                    71
#define  MAIN_GROUP_4                    72
#define  MAIN_TEXTMSG_3                  73
#define  MAIN_TEXTMSG_4                  74
#define  MAIN_GROUP_1                    75
#define  MAIN_DECORATION_SM_1            76
#define  MAIN_DECORATION_MAX             77
#define  MAIN_DECORATION_MIN             78
#define  MAIN_DECORATION_TOP_1           79
#define  MAIN_DECORATION_TOP_2           80
#define  MAIN_TEXT_0                     81
#define  MAIN_TEXT_1                     82
#define  MAIN_TEXT_2                     83
#define  MAIN_TEXT_3                     84
#define  MAIN_TEXT_9                     85
#define  MAIN_TEXT_5                     86
#define  MAIN_TEXT_6                     87
#define  MAIN_TEXT_7                     88
#define  MAIN_TEXT_8                     89
#define  MAIN_TEXT_99                    90
#define  MAIN_TEXT_10                    91
#define  MAIN_TEXT_11                    92
#define  MAIN_TEXT_12                    93
#define  MAIN_TEXT_13                    94
#define  MAIN_TEXT_14                    95
#define  MAIN_TEXT_15                    96
#define  MAIN_DECORATION_SM_2            97
#define  MAIN_TEXTMSG                    98


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK activateCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK configureDAQ(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK displayConfigPanel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK setMaxValue(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK setMinValue(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK shutdown(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK startDAQ(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK stopDAQ(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
